Bug 10007 - Totals in checkouts table
Summary: Totals in checkouts table
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-09 06:42 UTC by Katrin Fischer
Modified: 2016-06-21 21:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (18.34 KB, image/png)
2013-04-09 06:42 UTC, Katrin Fischer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-04-09 06:42:44 UTC
Created attachment 17302 [details]
screenshot

The checkouts table has 2 columns with prices that get totaled:

- charge (that seems to be the rental fee)
- price (replacement price)

In my screenshot, both columns are empty, but charges are still showing a total of 434.00. I am not sure what Koha is doing here, but it doesn't seem to make sense.
Comment 1 Owen Leonard 2013-08-08 16:12:21 UTC
It looks like Koha is displaying the total amount owed by the patron regardless of whether that amount is from a rental charge listed in the checkouts table or a charge for something else (like a lost item).

The total for this column should add up only rental charges listed in that table if it is to be correct.

However, it should be noted that the rental charges listed in the table of checkouts are not shown based on charges which are actually on the patron's account (in the accountlines table), the charges are listed according to the current policy.

If I checked out a DVD last week when there was no rental charge, and then check out a DVD today after a $3.00 rental fee was added the screen will show a $3.00 charge for both of those items even though accountlines will only have a line for the $3.00 I actually incurred after the rental fee policy change.

We can't fix the total until we fix the way rental fees are calculated by the script.

This leads me to wonder... Is there a good reason to be displaying the rental fee at all on this page? Do libraries who charge rental fees have policies which require them to be paid on a higher priority basis than other fines? If not, showing the total of all fines and charges on this screen (as we do) should be enough.
Comment 2 Katrin Fischer 2015-06-07 00:57:09 UTC
Fine and price columns now add up correctly. There is still a problem with charge as described in bug 7985.